<?php
/*
####################################################################
# DEBRECENI VIRTUÁLIS SZOBORPARK                                   #
# GALLERY                                                          #
# Képgaléria programja                                             #
#                                                                  #
# (C) Debreceni Városi Könyvtár 2008.04.22.                        #
# Készítette: Lente Tamás                                          #
####################################################################
*/

// A képpel rendelkező műalkotások lekérdezése 
  $lekerdezes_galeria = lekerdezes("SELECT * FROM nezet_mualkotas_fotoi 
    LEFT JOIN nezet_mualkotasok on nezet_mualkotas_fotoi.mu_kod = nezet_mualkotasok.mu_azon
    ORDER BY mu_cim");
  $ossz_alkotasok = ossz_rekord($lekerdezes_galeria);

// listázandó elemek száma eltér, mert itt 4x3 lesz
  $listazando = 12;

// Ha vannak műalkotás fotók az adatbázisban, akkor megjelenítjük
  if ($ossz_alkotasok>0) {
      echo "      <div class=talalatok>\n";
      $mettol = $listazando*($page-1)+1;
      $meddig = $listazando*$page;
      if ($meddig>$ossz_alkotasok) $meddig = $ossz_alkotasok;
      echo "        ".ucfirst($szoveg['talalatok']).": $mettol - $meddig.\n";
      echo "        ".ucfirst($szoveg['ossz'])." $ossz_alkotasok db ".$szoveg['foto'].".\n";
      echo "      </div>\n";
  
      // Rekordmutató beállítása a $page -ben megadott oldalszámú találati elemre
      $lekerdezes_sora = $listazando*($page-1);
      rekord_ugras($lekerdezes_galeria, $lekerdezes_sora);
    
      // A kiirt találatok száma
      $kiirt = 0;
      
      echo "      <table border=0><tr>\n";     
      while (($rekord_galeria = olvas_asszociativ($lekerdezes_galeria)) && ($kiirt < $listazando)) {
        if (($kiirt != 0) &&($kiirt % 4 == 0)) 
          echo "      </tr><tr>\n";
        echo "      <td class=\"galeriakep\">\n";         
        $kepalairas = $rekord_galeria[helynev_nev] != '' ? $rekord_galeria[mu_cim]." (".$rekord_galeria[helynev_nev].")" : $rekord_galeria[mu_cim]." (".$rekord_galeria[cim_nev].")";
        $tnkepfile = $dir['photos']."/tn_".$rekord_galeria[foto_file];            
        $kepinfo = GetImageSize($tnkepfile);
        $arany = $kepinfo[0]>160 ? 160/$kepinfo[0] : 1;         
        $kep_x = $arany * $kepinfo[0];
        $kep_y = $arany * $kepinfo[1];
        $kepfile = $dir['photos']."/".$rekord_galeria[foto_file];
        $nagykepinfo = GetImageSize($kepfile);
        echo "          <a href=\"#\" onClick=\"photopopup('".$rekord_galeria[foto_kod]."','".$nagykepinfo[0]."','".$nagykepinfo[1]."','".$rekord_galeria[fotos_nev]."')\">";
        echo "<img title=\"".$kepalairas."\" src=\"".$tnkepfile."\" width=\"".$kep_x."\" height=\"".$kep_y."\" class=\"kiskep\"></a><br>\n";
        echo "        <a href=\"?do=sendpostcard&id=".$rekord_galeria[foto_kod]."\" class=\"link\"><img title=\"".ucfirst($szoveg[kepeslapkuld])."\" src=\"".$dir['images']."/icon_kepeslap.gif\" width=\"22\" height=\"16\" border=\"0\" vspace=\"2\"></a>\n";
        echo "        <a href=\"?do=show&id=".$rekord_galeria[mu_azon]."\" class=\"link\"><img title=\"".ucfirst($szoveg[tovabbireszlet])."\" src=\"".$dir['images']."/icon_info.gif\" width=\"16\" height=\"16\" border=\"0\" vspace=\"2\"></a>\n";
        echo "      </td>\n";
        $kiirt++;
      }
      echo "      </tr></table>\n";
      
      // Találati oldalak kiírása alul
              
      talalatioldalak($ossz_alkotasok,$kiirt,"");
  }
// Ha nincs egyetlen műalkotás sem, akkor ezt jelezzük
  else {
    echo "      <div class=hiba>".ucfirst($szoveg['nincsmualkotas']).".</div>\n";
  }
  echo "      <p>\n";
?>
  <div id="photo" onClick="photopopupclose()"></div>
